<? 
include_once("valida_sessao.php");
protegePagina(); 
include_once("adm_head.php");
?>

<span class="dir">Editar Banner</span>
</div>

<div id="conteudo">

<?php

include_once("config.php");

if (isset($_POST['submit'])) { 

$id = addslashes($_POST['id']);
$tam = addslashes($_POST['tamanho']);
$link = addslashes($_POST['link']);
$descricao = addslashes($_POST['descricao']);
$dom = addslashes($_POST['dom']);
$seg = addslashes($_POST['seg']);
$ter = addslashes($_POST['ter']);
$qua = addslashes($_POST['qua']);
$qui = addslashes($_POST['qui']);
$sex = addslashes($_POST['sex']);
$sab = addslashes($_POST['sab']);
$ativo = addslashes($_POST['ativo']);
$img = addslashes($_POST['img']);

$foto = $_FILES["imagem"];
include_once("bnr_imagem.php");
	
	if(isset($caminho_imagem)){
		$img = $caminho_imagem;
	}
		   
   		include("utf8.php");
   		
		$sql = "SELECT * FROM bnr_ban_imagens WHERE id = $id";
		$query = mysqli_query($conn, $sql);
		$resultado = mysqli_fetch_array($query);     
   
   		$altera = "UPDATE bnr_ban_imagens SET id_tamanho = $tam, imagem = '$img', link = '$link', descricao = '$descricao', 
   		dom = '$dom', seg = '$seg', ter = '$ter', qua = '$qua', qui = '$qui', sex = '$sex', sab = '$sab', 
   		ativo = '$ativo' WHERE id = $id";
		
   		mysqli_query($conn, $altera);   		

		if($resultado['imagem']!=$img){
			unlink("../".$resultado['imagem']);
		}		
		
		$local = "bnr_alt.php?id=".$id."&alterado=1";

		echo "<script>location.href='$local';</script>";
	
}
?>

<?PHP 

if(isset($_GET['alterado'])){
	echo "<p class=\"sucesso\">Alterado Com Sucesso!</p>";
}

$id = $_GET['id'];

include_once("utf8.php");

$qry = "SELECT * FROM bnr_ban_tamanho";
$consulta = mysqli_query($conn, $qry);

$qry2 = "SELECT *,b.descricao as d FROM bnr_ban_imagens as b INNER JOIN bnr_ban_tamanho as c ON b.id_tamanho = c.id_tamanho WHERE id = ".addslashes($id);
$consulta2 = mysqli_query($conn, $qry2);
$result = mysqli_fetch_array($consulta2);
?>

<form method="POST" action="<?php echo $_SERVER['PHP_SELF']?>" onSubmit="return valida_banner_e(this);" enctype="multipart/form-data">
  <table align="center" cellspacing="0" cellpadding="0" class="form">
          <tr>
            <td colspan="2" align="center">            
            <strong>Imagem </strong><br />
            <?php 
	  		$str = explode("x",$result['dimensao']);
	  		
	  		$info = pathinfo($result['imagem']);
	  		
	  		if($info['extension'] == 'swf'){
		  
		  		echo '<object width="'.$str[0].'" height="'.$str[1].'">';
	      		echo '<param name="movie" value="../'.$result['imagem'].'">';
	      		echo '<embed src="../'.$result['imagem'].'" width="'.$str[0].'" height="'.$str[1].'" wmode="transparent">';
	      		echo '</embed>';
	      		echo '</object>';	
		      	
	  		}else{
		  		echo "<p><img border=\"0\" src=../".$result['imagem']." /></p>";
	  		}
      		?>
            </td>
          </tr>
          <tr>      
            <td>
            <img src="imagem/importante.gif" />
            Tamanho <br />
            <select name="tamanho">
            <?PHP
			while($select = mysqli_fetch_array($consulta)){
						
            echo "<option value=\"". $select['id_tamanho'] . "\"";
			if($result['id_tamanho'] == $select['id_tamanho']){ echo " selected"; }			
			echo " > ". $select['descricao'] ." </option>";
			
			}			
			mysqli_close($conn);
            ?>
            </select>
            </td>            
            <td>
            <input type="hidden" value="<?PHP echo $result['imagem'] ?>" name="img" />
            Imagem(Url) <br />
			<input name="imagem" type="file" size="30" id="imagem" />
            </td>
          </tr>
          <tr>
            <td>
            <img src="imagem/importante.gif" />
            Link(Url) <br />
            <input type="text" name="link" size="40" maxlength="255" value="<?PHP echo $result['link'] ?>" />
            </td>
            <td>
            <img src="imagem/importante.gif" />
            Descrição <br />
            <input type="text" name="descricao" size="40" maxlength="50" value="<?PHP echo $result['d'] ?>"></td>
          </tr>
           <tr>
            <td>
            <img src="imagem/importante.gif" />
            Ativo? <br />
            <select name="ativo">
            	<option value="1" <?PHP if ($result['ativo']==1){ echo "selected"; } ?>>Sim</option>
                <option value="0" <?PHP if ($result['ativo']==0){ echo "selected"; } ?>>Não</option>
            </select>
            </td>
            <td>
            Programação<br />
            <input type="hidden" name="dom" value="0" /> 
            <input type="checkbox" name="dom" size="40" value="1" <?PHP if ($result['dom']==1){ echo "checked=\"checked\""; } ?>> Dom
            <input type="hidden" name="seg" value="0" /> 
            <input type="checkbox" name="seg" size="40" value="1" <?PHP if ($result['seg']==1){ echo "checked=\"checked\""; } ?>> Seg
            <input type="hidden" name="ter" value="0" /> 
            <input type="checkbox" name="ter" size="40" value="1" <?PHP if ($result['ter']==1){ echo "checked=\"checked\""; } ?>> Ter
            <input type="hidden" name="qua" value="0" /> 
            <input type="checkbox" name="qua" size="40" value="1" <?PHP if ($result['qua']==1){ echo "checked=\"checked\""; } ?>> Qua
            <input type="hidden" name="qui" value="0" /> 
            <input type="checkbox" name="qui" size="40" value="1" <?PHP if ($result['qui']==1){ echo "checked=\"checked\""; } ?>> Qui
            <input type="hidden" name="sex" value="0" /> 
            <input type="checkbox" name="sex" size="40" value="1" <?PHP if ($result['sex']==1){ echo "checked=\"checked\""; } ?>> Sex
            <input type="hidden" name="sab" value="0" /> 
            <input type="checkbox" name="sab" size="40" value="1" <?PHP if ($result['sab']==1){ echo "checked=\"checked\""; } ?>> Sab
            </td>
          </tr>        
          <tr>
            <td colspan="2" align="center">
            <input type="hidden" value="<?PHP echo $id ?>" name="id">
            <input type="submit" value="Alterar" name="submit" /></td>
          </tr>
    </tr>
  </table>
</form>
</div>
<? include_once("adm_foot.php"); ?>